Codeforces Round #432 (Div. 2, based on IndiaHacks Final Round 2017)
昨晚打得小号,虽然很菜,可是还是涨了些rating
1 second
256 megabytes
standard input
standard output
Arpa is researching the Mexican wave.
There are n spectators in the stadium, labeled from 1 to n. They start the Mexican wave at time 0.
- At time 1, the first spectator stands.
- At time 2, the second spectator stands.
- ...
- At time k, the k-th spectator stands.
- At time k + 1, the (k + 1)-th spectator stands and the first spectator sits.
- At time k + 2, the (k + 2)-th spectator stands and the second spectator sits.
- ...
- At time n, the n-th spectator stands and the (n - k)-th spectator sits.
- At time n + 1, the (n + 1 - k)-th spectator sits.
- ...
- At time n + k, the n-th spectator sits.
Arpa wants to know how many spectators are standing at time t.
The first line contains three integers n, k, t (1 ≤ n ≤ 109, 1 ≤ k ≤ n, 1 ≤ t < n + k).
Print single integer: how many spectators are standing at time t.
10 5 3
3
10 5 7
5
10 5 12
3
In the following a sitting spectator is represented as -, a standing spectator is represented as ^.
- At t = 0 ---------- number of standing spectators = 0.
- At t = 1 ^--------- number of standing spectators = 1.
- At t = 2 ^^-------- number of standing spectators = 2.
- At t = 3 ^^^------- number of standing spectators = 3.
- At t = 4 ^^^^------ number of standing spectators = 4.
- At t = 5 ^^^^^----- number of standing spectators = 5.
- At t = 6 -^^^^^---- number of standing spectators = 5.
- At t = 7 --^^^^^--- number of standing spectators = 5.
- At t = 8 ---^^^^^-- number of standing spectators = 5.
- At t = 9 ----^^^^^- number of standing spectators = 5.
- At t = 10 -----^^^^^ number of standing spectators = 5.
- At t = 11 ------^^^^ number of standing spectators = 4.
- At t = 12 -------^^^ number of standing spectators = 3.
- At t = 13 --------^^ number of standing spectators = 2.
- At t = 14 ---------^ number of standing spectators = 1.
- At t = 15 ---------- number of standing spectators = 0.
这个题我还看了两三分钟,发现就是个分段函数,结论很明显
不过我竟脑残打错了字母,wa了一发
#include<bits/stdc++.h>
using namespace std;
int main()
{
long long n,k,t;
cin>>n>>k>>t;
if(t<=k)
cout<<t<<endl;
else if(t>=n)
cout<<n+k-t<<endl;
else cout<<k<<endl;
return ;
}
2 seconds
256 megabytes
standard input
standard output
Arpa is taking a geometry exam. Here is the last problem of the exam.
You are given three points a, b, c.
Find a point and an angle such that if we rotate the page around the point by the angle, the new position of a is the same as the old position of b, and the new position of b is the same as the old position of c.
Arpa is doubting if the problem has a solution or not (i.e. if there exists a point and an angle satisfying the condition). Help Arpa determine if the question has a solution or not.
The only line contains six integers ax, ay, bx, by, cx, cy (|ax|, |ay|, |bx|, |by|, |cx|, |cy| ≤ 109). It's guaranteed that the points are distinct.
Print "Yes" if the problem has a solution, "No" otherwise.
You can print each letter in any case (upper or lower).
0 1 1 1 1 0
Yes
1 1 0 0 1000 1000
No
In the first sample test, rotate the page around (0.5, 0.5) by .
In the second sample test, you can't find any solution.
这个也简单,给你三个点,让你判断a,b能不能绕着一个点转到b,c的位置,明显就是等腰三角形嘛
但是不能共线,这个自己也fst了,比较好的做法是判断b不是中点
#include<bits/stdc++.h>
using namespace std;
int main()
{
long long ax,ay,bx,by,cx,cy;
cin>>ax>>ay>>bx>>by>>cx>>cy;
long long a=(ax-bx)*(ax-bx)+(ay-by)*(ay-by);
long long b=(cx-bx)*(cx-bx)+(cy-by)*(cy-by);
if(a==b&&(cx+ax!=*bx||cy+ay!=*by))
puts("Yes");
else puts("No");
return ;
}
我现在发现是我斜率公式交换的时候写错了啊,改了字母就过了。我好菜啊
#include<bits/stdc++.h>
using namespace std;
int main()
{
long long ax,ay,bx,by,cx,cy;
cin>>ax>>ay>>bx>>by>>cx>>cy;
if((ax-bx)*(ax-bx)+(ay-by)*(ay-by)==(cx-bx)*(cx-bx)+(cy-by)*(cy-by)&&(cy-ay)*(bx-ax)!=(by-ay)*(cx-ax))
puts("Yes");
else puts("No");
return ;
}
2 seconds
256 megabytes
standard input
standard output
You are given set of n points in 5-dimensional space. The points are labeled from 1 to n. No two points coincide.
We will call point a bad if there are different points b and c, not equal to a, from the given set such that angle between vectors and is acute (i.e. strictly less than ). Otherwise, the point is called good.
The angle between vectors and in 5-dimensional space is defined as , where is the scalar product and is length of .
Given the list of points, print the indices of the good points in ascending order.
The first line of input contains a single integer n (1 ≤ n ≤ 103) — the number of points.
The next n lines of input contain five integers ai, bi, ci, di, ei (|ai|, |bi|, |ci|, |di|, |ei| ≤ 103) — the coordinates of the i-th point. All points are distinct.
First, print a single integer k — the number of good points.
Then, print k integers, each on their own line — the indices of the good points in ascending order.
6
0 0 0 0 0
1 0 0 0 0
0 1 0 0 0
0 0 1 0 0
0 0 0 1 0
0 0 0 0 1
1
1
3
0 0 1 2 0
0 0 9 2 0
0 0 5 9 0
0
In the first sample, the first point forms exactly a angle with all other pairs of points, so it is good.
In the second sample, along the cd plane, we can see the points look as follows:
We can see that all angles here are acute, so no points are good.
给了五维坐标系,拿出了累似二维的东西,但是1e9可以跑下来么,这时候qls给了一个243的结论牛逼啊
这个题自己写错了break条件导致写了太久了,虽然中途还看了B,但是这个题分数已经掉光了
#include<bits/stdc++.h>
using namespace std;
const int N=1e3+;
double PI=acos(0.0);
struct Point
{
int a,b,c,d,e;
} f[];
int main()
{
int n;
scanf("%d",&n);
if(n>)
printf("0\n");
else
{
for(int i=; i<n; i++)
scanf("%d%d%d%d%d",&f[i].a,&f[i].b,&f[i].c,&f[i].d,&f[i].e);
vector<int>V;
for(int i=; i<n; i++)
{
int ff=;
for(int j=; j<n; j++)
{ Point x;
if(j==i)continue;
x.a=f[j].a-f[i].a;
x.b=f[j].b-f[i].b;
x.c=f[j].c-f[i].c;
x.d=f[j].d-f[i].d;
x.e=f[j].e-f[i].e;
for(int k=; k<n; k++)
{
Point y;
if(j==i||k==j)continue;
y.a=f[k].a-f[i].a;
y.b=f[k].b-f[i].b;
y.c=f[k].c-f[i].c;
y.d=f[k].d-f[i].d;
y.e=f[k].e-f[i].e;
int z=y.a*x.a+y.b*x.b+y.c*x.c
+y.d*x.d+y.e*x.e;
if(z>)
{
ff=;
break;
}
}
if(ff)break;
}
if(!ff)
V.push_back(i+);
}
printf("%d\n",(int)V.size());
for(int i=; i<(int)V.size(); i++)
printf("%d\n",V[i]);
}
return ;
}
Codeforces Round #432 (Div. 2, based on IndiaHacks Final Round 2017)的更多相关文章
- D. Arpa and a list of numbers Codeforces Round #432 (Div. 2, based on IndiaHacks Final Round 2017)
http://codeforces.com/contest/851/problem/D 分区间操作 #include <cstdio> #include <cstdlib> # ...
- Codeforces Round #432 (Div. 2, based on IndiaHacks Final Round 2017)ABCD
A. Arpa and a research in Mexican wave time limit per test 1 second memory limit per test 256 megaby ...
- Codeforces Round #432 (Div. 1, based on IndiaHacks Final Round 2017) D. Tournament Construction(dp + 构造)
题意 一个竞赛图的度数集合是由该竞赛图中每个点的出度所构成的集合. 现给定一个 \(m\) 个元素的集合,第 \(i\) 个元素是 \(a_i\) .(此处集合已经去重) 判断其是否是一个竞赛图的度数 ...
- 【前缀和】【枚举倍数】 Codeforces Round #432 (Div. 2, based on IndiaHacks Final Round 2017) D. Arpa and a list of numbers
题意:给你n个数,一次操作可以选一个数delete,代价为x:或者选一个数+1,代价y.你可以进行这两种操作任意次,让你在最小的代价下,使得所有数的GCD不为1(如果全删光也视作合法). 我们从1到m ...
- 【推导】【暴力】Codeforces Round #432 (Div. 2, based on IndiaHacks Final Round 2017) C. Five Dimensional Points
题意:给你五维空间内n个点,问你有多少个点不是坏点. 坏点定义:如果对于某个点A,存在点B,C,使得角BAC为锐角,那么A是坏点. 结论:如果n维空间内已经存在2*n+1个点,那么再往里面添加任意多个 ...
- 【推导】Codeforces Round #432 (Div. 2, based on IndiaHacks Final Round 2017) B. Arpa and an exam about geometry
题意:给你平面上3个不同的点A,B,C,问你能否通过找到一个旋转中心,使得平面绕该点旋转任意角度后,A到原先B的位置,B到原先C的位置. 只要A,B,C构成等腰三角形,且B为上顶点.那么其外接圆圆心即 ...
- Codeforces Round #432 (Div. 2, based on IndiaHacks Final Round 2017) D
Arpa has found a list containing n numbers. He calls a list bad if and only if it is not empty and g ...
- Codeforces Round #432 (Div. 2, based on IndiaHacks Final Round 2017) C
You are given set of n points in 5-dimensional space. The points are labeled from 1 to n. No two poi ...
- Codeforces Round #432 (Div. 2, based on IndiaHacks Final Round 2017) B
Arpa is taking a geometry exam. Here is the last problem of the exam. You are given three points a, ...
- Codeforces Round #432 (Div. 2, based on IndiaHacks Final Round 2017) A
Arpa is researching the Mexican wave. There are n spectators in the stadium, labeled from 1 to n. Th ...
随机推荐
- equals方法那些事
1.Equals 很多人对equals方法的用法有些模糊,这里来为大家梳理下: 字符串中的equals方法,该方法用来判断两个字符串的内容是否相同. 例1: String str1="Hel ...
- CF1072C Cram Time
思路: 首先二分找到使x * (x + 1) / 2 <= a + b最大的x,然后令p = min(a, b), q = max(a, b),按照x,x - 1, ..., 1的顺序选取数字把 ...
- jQuery选择器之样式
.attr()与.removeAttr() 每个元素都有一个或者多个特性,这些特性的用途就是给出相应元素或者其内容的附加信息.如:在img元素中,src就是元素的特性,用来标记图片的地址. 操作特性的 ...
- 安卓6.0之前的系统 判断app是否有录音权限
public static synchronized boolean isVoicePermission() { AudioRecord record = null; try { record = n ...
- nl
-b -b -a 表示不论是否为空行,也同样列出行号 -b -t 如果用空行,空行不要列出行号 -n 列出行号表示方法,主要有3中 -n -n ln 行号显示在屏幕的最左方显示 -n rn 行号显示在 ...
- MySQL出现GROUP BY clause错误解决办法
#1)当mysql数据库出现如下错误:#which is not functionally dependent on columns in GROUP BY clause; this is incom ...
- Bootstrap 入门到精通
介绍 Bootstrap,来自 Twitter,是目前最受欢迎的前端框架.Bootstrap 是基于 HTML.CSS.JAVASCRIPT 的,它简洁灵活,使得 Web 开发更加快捷.Bootstr ...
- ScriptManager对象的属性
--<本文属于摘抄> 属性 说明 EnablePageMethods 指定在ASPX页面上定义的公共静态方法是否可以从客户端脚本中作为Web服务方法调用 EnablePartialRend ...
- COGS 615. 韩国明星
[问题描述] 在LazyCat同学的影响下,Roby同学开始听韩国的音乐,并且越来越喜欢H.o.T,尤其喜欢安七炫和Tony,可是,爱学习爱思考的Roby同学想,如果以后喜欢的韩星越来越多怎么办呢?R ...
- spring (由Rod Johnson创建的一个开源框架)
你可能正在想“Spring不过是另外一个的framework”.当已经有许多开放源代码(和专有)J2EEframework时,我们为什么还需要Spring Framework? Spring是独特的, ...